queue.h File Reference
`#include <log4cplus/config.hxx>`
`#include <deque>`
`#include <log4cplus/spi/loggingevent.h>`
`#include <log4cplus/thread/threads.h>`
`#include <log4cplus/thread/syncprims.h>`
Include dependency graph for queue.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::thread::Queue
| Single consumer, multiple producers queue. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::thread

## Typedefs

typedef helpers::SharedObjectPtr< Queue > | log4cplus::thread::QueuePtr